### Method

# Snapd Client get_snaps_async

since: 1.42

#### Declaration [src]

    void
    snapd_client_get_snaps_async (
      SnapdClient* client,
      SnapdGetSnapsFlags flags,
      GStrv names,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get information on installed snaps. See `snapd_client_get_snaps_sync()` for more information.

When settings the `flags` variable, only one of SNAPD_GET_SNAPS_FLAGS_INCLUDE_INACTIVE and SNAPD_GET_SNAPS_FLAGS_REFRESH_INHIBITED can be set. Setting both results in an error.

Available since: 1.42

This method completes asynchronously. Use `snapd_client_get_snaps_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`flags`

  Type: `SnapdGetSnapsFlags`

  A set of `SnapdGetSnapsFlags` to control what results are returned.

`names`

  Type: An array of `utf8`

  A list of snap names to return results for. If `NULL` or empty then all installed snaps are returned.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.